cURL
curl --request PATCH \
--url 'https://api.minimo.it/public/v1/domains/812/senders/34' \
--header 'Authorization: Bearer YOUR_MINIMO_KEY' \
--header 'Content-Type: application/json' \
--data '{"displayName": "Pizzeria Da Mario Bookings"}'const res = await fetch('https://api.minimo.it/public/v1/domains/812/senders/34', {
method: 'PATCH',
headers: {
Authorization: 'Bearer YOUR_MINIMO_KEY',
'Content-Type': 'application/json',
},
body: JSON.stringify({"displayName": "Pizzeria Da Mario Bookings"}),
});
const { data } = await res.json();
console.log(data);import requests
res = requests.patch(
'https://api.minimo.it/public/v1/domains/812/senders/34',
headers={'Authorization': 'Bearer YOUR_MINIMO_KEY'},
json={"displayName": "Pizzeria Da Mario Bookings"},
)
print(res.status_code, res.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.minimo.it/public/v1/domains/{id}/senders/{senderId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'displayName' => 'Pizzeria Da Mario Bookings'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.minimo.it/public/v1/domains/{id}/senders/{senderId}"
payload := strings.NewReader("{\n \"displayName\": \"Pizzeria Da Mario Bookings\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.minimo.it/public/v1/domains/{id}/senders/{senderId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"displayName\": \"Pizzeria Da Mario Bookings\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.minimo.it/public/v1/domains/{id}/senders/{senderId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"displayName\": \"Pizzeria Da Mario Bookings\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": 34,
"email": "bookings@pizzeria-mario.example",
"displayName": "Pizzeria Da Mario Bookings",
"domainId": 812,
"domain": "pizzeria-mario.example",
"verified": true
}
}{
"status": "FAIL",
"message": "INVALID_PARAMETERS",
"userMessage": "Set the origins allowed to embed the widgets first."
}{
"status": "FAIL",
"message": "INVALID_PARAMETERS",
"userMessage": "Set the origins allowed to embed the widgets first."
}{
"status": "FAIL",
"message": "INVALID_PARAMETERS",
"userMessage": "Set the origins allowed to embed the widgets first."
}{
"status": "FAIL",
"message": "INVALID_PARAMETERS",
"userMessage": "Set the origins allowed to embed the widgets first."
}Senders
Update Sender
Change the address or the display name of a sender
PATCH
/
public
/
v1
/
domains
/
{id}
/
senders
/
{senderId}
cURL
curl --request PATCH \
--url 'https://api.minimo.it/public/v1/domains/812/senders/34' \
--header 'Authorization: Bearer YOUR_MINIMO_KEY' \
--header 'Content-Type: application/json' \
--data '{"displayName": "Pizzeria Da Mario Bookings"}'const res = await fetch('https://api.minimo.it/public/v1/domains/812/senders/34', {
method: 'PATCH',
headers: {
Authorization: 'Bearer YOUR_MINIMO_KEY',
'Content-Type': 'application/json',
},
body: JSON.stringify({"displayName": "Pizzeria Da Mario Bookings"}),
});
const { data } = await res.json();
console.log(data);import requests
res = requests.patch(
'https://api.minimo.it/public/v1/domains/812/senders/34',
headers={'Authorization': 'Bearer YOUR_MINIMO_KEY'},
json={"displayName": "Pizzeria Da Mario Bookings"},
)
print(res.status_code, res.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.minimo.it/public/v1/domains/{id}/senders/{senderId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'displayName' => 'Pizzeria Da Mario Bookings'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.minimo.it/public/v1/domains/{id}/senders/{senderId}"
payload := strings.NewReader("{\n \"displayName\": \"Pizzeria Da Mario Bookings\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.minimo.it/public/v1/domains/{id}/senders/{senderId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"displayName\": \"Pizzeria Da Mario Bookings\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.minimo.it/public/v1/domains/{id}/senders/{senderId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"displayName\": \"Pizzeria Da Mario Bookings\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": 34,
"email": "bookings@pizzeria-mario.example",
"displayName": "Pizzeria Da Mario Bookings",
"domainId": 812,
"domain": "pizzeria-mario.example",
"verified": true
}
}{
"status": "FAIL",
"message": "INVALID_PARAMETERS",
"userMessage": "Set the origins allowed to embed the widgets first."
}{
"status": "FAIL",
"message": "INVALID_PARAMETERS",
"userMessage": "Set the origins allowed to embed the widgets first."
}{
"status": "FAIL",
"message": "INVALID_PARAMETERS",
"userMessage": "Set the origins allowed to embed the widgets first."
}{
"status": "FAIL",
"message": "INVALID_PARAMETERS",
"userMessage": "Set the origins allowed to embed the widgets first."
}Guide: Senders and domains. Errors: Errors and limits.
Authorizations
Path Parameters
Body
application/json